# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLBRElement Class Reference

Force a line break. More...

`#include <html_inline.h>`

Inheritance diagram for DOM::HTMLBRElement:

[legend]
Collaboration diagram for DOM::HTMLBRElement:

[legend]
List of all members.

## Public Member Functions

| HTMLBRElement (const HTMLBRElement &other)
| HTMLBRElement (const Node &other)
HTMLBRElement & | operator= (const HTMLBRElement &other)
HTMLBRElement & | operator= (const Node &other)
DOMString | clear () const
void | setClear (const DOMString &)

## Protected Member Functions

| HTMLBRElement (HTMLBRElementImpl *impl)

## Detailed Description

Force a line break.

See the BR element definition in HTML 4.0.

Definition at line 251 of file html_inline.h.

## Member Function Documentation

DOMString HTMLBRElement::clear | ( |  | ) | const

| Control flow of text around floats. See the clear attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 240 of file html_inline.cpp.

void HTMLBRElement::setClear | ( | const DOMString & |  | ) |

| see clear Definition at line 246 of file html_inline.cpp.

The documentation for this class was generated from the following files:

- html_inline.h
- html_inline.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:18 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003